import request from '@/utils/request'

// 查询驾校教练列表
export function listSchoolCoach(query) {
  return request({
    url: '/drivingSchool/system/schoolCoach/list',
    method: 'get',
    params: query
  })
}

// 查询驾校教练详细
export function getSchoolCoach(id) {
  return request({
    url: '/drivingSchool/system/schoolCoach/' + id,
    method: 'get'
  })
}

// 新增驾校教练
export function addSchoolCoach(data) {
  return request({
    url: '/drivingSchool/system/schoolCoach',
    method: 'post',
    data: data
  })
}

// 修改驾校教练
export function updateSchoolCoach(data) {
  return request({
    url: '/drivingSchool/system/schoolCoach',
    method: 'put',
    data: data
  })
}

// 删除驾校教练
export function delSchoolCoach(id) {
  return request({
    url: '/drivingSchool/system/schoolCoach/' + id,
    method: 'delete'
  })
}
